$(function(){
    /**
     * 是否需要课程资料
     */
    var cartid = $('#cartid').val(); 
    var infoCheckboxTarget =  $('#zl'+cartid);

    /**
     * 计算价格
     */
    window.recalculatePrice = function(){
        var price = Number($('#r_'+cartid).text());
        if(infoCheckboxTarget[0].checked){
            price += Number($('#nt_'+cartid).text())
        }
        if(isInvoice()){
            price += Number($('#t_'+cartid).text())
        }
        
        price = price.toFixed(2);
        $('#sf_money').html(price)
        $("#tl_money").val(price);
        payu();
    }

    recalculatePrice();

    /**
     * 需要课程资料则显示收货地址
     */
    function part_consignee_display(){
        var isPurchaseInformation = infoCheckboxTarget[0].checked;
        (isPurchaseInformation || isInvoice()) ? $('#part_consignee').show() : $('#part_consignee').hide();
        
    }
    part_consignee_display();
    infoCheckboxTarget.click(function(){
        part_consignee_display()
    });
    
    /**
     * 是否需要开发票
     */
    var invoiceInfoTarget = $('#InvoiceInfo');
    function isInvoice(){
        return ($('input[name="invoiceId"]:checked').val() !== '0' && invoiceInfoTarget[0].checked) ? true : false
        
    }

    /**
     * 发票信息 
     */
    invoiceInfoTarget[0].checked ? $('#showInvoice').show() : $('#showInvoice').hide();
    invoiceInfoTarget.click(function(){
        this.checked ? $('#showInvoice').show() : $('#showInvoice').hide()
        part_consignee_display();
        IsContainTax();
    });

    /**
     * 选择发票类型 
     */
    window.OrderCalculat = function(){
        part_consignee_display()
        IsContainTax()
    } 

    /**
     * 显示税金（开具发票需要税金）
     */
    IsContainTax();
    function IsContainTax(){
        isInvoice() ? $('#IsContainTax').show() : $('#IsContainTax').hide();
        recalculatePrice();
    }
});